%global srcname pybeam


Name:		python-%{srcname}
Version:	0.3.2
Release:	13%{?dist}
Summary:	Python module to parse Erlang BEAM files
License:	MIT
URL:		https://github.com/matwey/%{srcname}
Source0:	https://github.com/matwey/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch1:		python-pybeam-0001-Add-AtU8-beam-file-chunk-decoding-support.patch
BuildArch:	noarch


%description
Python module to parse Erlang BEAM files.


%package -n python3-%{srcname}
Summary:	%{summary}
BuildRequires:	python3-construct
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-construct
Requires:	python3-six >= 1.4.0
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
Python module to parse Erlang BEAM files.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Tue Oct 02 2018 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-13
- Remove python2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-11
- Rebuilt for Python 3.7

* Wed Mar 21 2018 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-10
- Fix BEAM-files parsing generated with Erlang 20

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.2-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Troy Dawson <tdawson@redhat.com> - 0.7.19-5
- Cleanup spec file conditionals

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun  7 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-2
- Build for EL7

* Mon Feb 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-1
- Initial build
